from installclass import BaseInstallClass
from rhpl.translate import N_, _
from constants import *
import os
import iutil
from fsset import *

class InstallClass(BaseInstallClass):
    showLoginChoice = 0
    name = N_("Personal Desktop")
    pixmap = "workstation.png"
    description = N_("Perfect for personal computers or laptops, select this "
		     "installation type to install a graphical desktop "
		     "environment and create a system ideal for home "
		     "or desktop use. Since this is NOT a Fermi workgroup"
		     " you will need to select Fermi items if needed")
    
    pkgstext = ("\tDesktop shell (GNOME)\n"
                 "\tOffice suite (OpenOffice)\n"
                 "\tWeb browser (Mozilla) \n"
                 "\tEmail (Evolution)\n"
                 "\tInstant messaging\n"
                 "\tSound and video applications\n"
                 "\tGames\n")
    

    sortPriority = 1000

    def setSteps(self, dispatch):
	BaseInstallClass.setSteps(self, dispatch);
#	dispatch.skipStep("partition")
#	dispatch.skipStep("authentication")

#       dispatch.skipStep("desktopchoice", skip = 0)
#       dispatch.skipStep("package-selection", skip = 1)

    def setGroupSelection(self, grpset, intf):
	BaseInstallClass.__init__(self, grpset)

        grpset.unselectAll()

        grpset.selectGroup("workstation-common", asMeta = 1)
        grpset.selectGroup("gnome-desktop")

    def setInstallData(self, id):
	BaseInstallClass.setInstallData(self, id)
#        BaseInstallClass.setDefaultPartitioning(self, id.partitions,
#                                                CLEARPART_TYPE_LINUX)

#CJS
	id.partitions.useAutopartitioning = 0
        autorequests = [ ("/", None, 3100, None, 0, 1) ]
        (minswap, maxswap) = iutil.swapSuggestion()
        autorequests.append((None, "swap", minswap, maxswap, 0, 1))

        self.setTimezoneInfo( id, "America/Chicago")

	self.setFirewall( id,  enable = 0, trusts = [], ports = "",
                    ssh = 0, telnet = 0, smtp = 0, http = 0, ftp = 0)

	self.setAuthentication( id , 
			        1 ,  # useShadow
			        1 ,  # useMD5
                                useKrb5 = 1 ,
                                krb5Realm = "FNAL.GOV",
                                krb5Kdc = "krb-fnal-1.fnal.gov:88,krb-fnal-2.fnal.gov:88,krb-fnal-3.fnal.gov:88,krb-fnal-4.fnal.gov:88,krb-fnal-5.fnal.gov:88",
                                krb5Admin = "krb-fnal-admin.fnal.gov",
                              )
#CJS end

    def __init__(self, expert):
	BaseInstallClass.__init__(self, expert)
